# Dynamic Local Tasks

Define arbitrary dynamic local tasks via YAML configuration editor without having to create custom modules.

> **IMPORTANT:** If you are developing a module be sure to define local tasks in the module. This module is intended
> to support scenarios where a module doesn't make sense or is overkill.

## Usage

1. Download and install the `drupal/dynamic_tasks` module. Recommended install method is composer:
   ```
   composer require drupal/dynamic_tasks
   ```
2. Go to /admin/structure/menu/dynamic-tasks to configure.
3. Set configuration and save changes.

## More information

See https://www.drupal.org/docs/drupal-apis/menu-api/providing-module-defined-local-tasks for more information
on defining local tasks in YAML.

> **WARNING:** YAML is not validated for correctness. Be sure to write sensible configurations. If problems arise
> uninstall and reinstall the module or use config sync to revert bad configurations.
